summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Wood <michael.g.wood@intel.com>2016-04-21 14:22:06 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-04-29 10:30:39 +0100
commitf62d9a3e86e384f928fc8ad077d7cf3a75d1591e (patch)
tree7f1bac59c9474b0504fb67753ccd9e34cae57fe8
parentef3c88a57313947feb5ef08c4fea6fd110cde1e7 (diff)
downloadopenembedded-core-contrib-f62d9a3e86e384f928fc8ad077d7cf3a75d1591e.tar.gz
toaster: bin/toaster Fix noweb command
For the noweb command we don't need to check if a socket is in use or not as we're not starting the django development server. We're just setting up the environment and running the runbuilds scheduler. Signed-off-by: Michael Wood <michael.g.wood@intel.com> Signed-off-by: Elliot Smith <elliot.smith@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rwxr-xr-xbin/toaster4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/toaster b/bin/toaster
index 9540fc9e6c..987d53c10d 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -255,7 +255,9 @@ case $CMD in
start )
# check if addr:port is not in use
if [ "$CMD" == 'start' ]; then
- $MANAGE checksocket "$ADDR_PORT" || return 1
+ if [ $WEBSERVER -gt 0 ]; then
+ $MANAGE checksocket "$ADDR_PORT" || return 1
+ fi
fi
# kill Toaster web server if it's alive